Industry News

News from around the web from companies that affect your business

WHMCS Public Service Annoucement PCI v3.1

The Payment Card Industry (PCI) Security Standards Council has released a new version, v3.1 and it is mandatory that you verify your systems' compliance by June 30th 2016 to avoid service interruptions.

Why are we telling you this? PCI v3.1 will affect all of us and there are steps that we each must take in order assure our information is secure in the coming year. Beginning June 30th 2016, any SSL version (including SSLv3) as well as TLS 1.0 will no longer meet security standards due to...

Read more @

Recent Posts

Blog Archived